Get a task template
curl --request GET \
--url https://www.ruddr.io/api/workspace/task-templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/task-templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/task-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "87df3b93-c5bc-4424-91ca-44d219eb8968",
"name": "Consulting Meetings",
"budgetHours": 40,
"notes": "Standard consulting engagement setup tasks",
"isBillable": true,
"createdAt": "2025-11-20T16:09:46.218Z",
"tags": [
{
"id": "791c3dc6-9f13-46d5-b9f2-3368fb70624e",
"name": "Set-up"
}
],
"taskCategory": {
"id": "c7e2f4a1-9b38-4d65-8c17-3a5f1e2d4b96",
"name": "Standard Task",
"type": "standard"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'e1b7a5d4-9c63-4f08-a4d3-d6e0f8b24c59' not found."
}Task Templates
Get a task template
GET
/
task-templates
/
{id}
Get a task template
A reusable task definition that can be quickly added to projects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The task template uuid.
Response
200
The unique identifier for the object.
The name of the task template.
The budget hours of the task template.
Notes for the task template.
Whether the task template is billable.
The timestamp when the object was created.
The tags associated with the task template.
Show child attributes
Show child attributes
The task category associated with this task template.
Show child attributes
Show child attributes